﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataTable table { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            table = new DataTable();

            table.Columns.Add("Dosage", typeof(Double));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            //
            // Here we add five DataRows.
            //
            table.Rows.Add(123, "Indocin", "David", DateTime.Now);
            table.Rows.Add(34, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(56, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(55, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(12, "Dilantin", "Melanie", DateTime.Now);


            this.DataContext = table.DefaultView;
        }

    }
}
